# Grok查询任务

**方法**: `GET`
**路径**: `/v2/videos/generations/{task_id}`

统一接口格式
status 枚举：
NOT\_START ： 未开始
IN\_PROGRESS ： 正在执行
SUCCESS ： 执行完成
FAILURE ： 失败

## 请求参数

### Path 参数

```text
task_id
string
必需
```

### Header 参数

```text
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}
```

## 请求示例代码

### Shell

```bash
curl --location --request GET '/v2/videos/generations/' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}'
```

## 返回响应

### 🟢 200 成功

**内容类型**: `application/json`

#### 响应结构

```text
object
```

#### 示例

```json
{
    "task_id": "e7bed961-d1b9-4b3f-8ef9-5f441bde28c8",
    "platform": "grok",
    "status": "SUCCESS",
    "fail_reason": "",
    "submit_time": 1756349509,
    "finish_time": 1756349945,
    "progress": "100%",
    "data": {
        "output": "https://soruxgpt-saas-yimeng.soruxgpt.com/file_download/d2360694-216c-4f8c-b076-3d94a2aa3dae"
    },
    "search_item": ""
}
```
